Bug 1272516 - Error in kickstart %post script crashes anaconda
Error in kickstart %post script crashes anaconda
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.2
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 11:39 EDT by Orion Poplawski
Modified: 2016-03-01 11:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 11:26:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-10-16 11:39:40 EDT
Description of problem:

If there is an error in the kickstart %post script, anaconda will crash and the machine will reboot.  anaconda.log shows:

09:20:22,987 INFO anaconda: Running kickstart %%post script(s)
09:20:36,507 ERR anaconda: Error code 2 running the kickstart script at line 484

and there it ends.

This appears to be fixed in 23.19.6-1 as the install continues there:

23:26:05,210 INFO anaconda: Running kickstart %%post script(s)
23:26:29,195 ERR anaconda: Error code 2 running the kickstart script at line 715
23:26:41,686 INFO anaconda: All kickstart %%post script(s) have been run
23:26:41,687 INFO anaconda: Running post-installation scripts
23:26:41,695 INFO anaconda: Thread Done: AnaConfigurationThread (140524111673088)

Version-Release number of selected component (if applicable):
21.48.22.35-1
Comment 2 Brian Lane 2015-10-16 13:35:44 EDT
Please attach the logs from /tmp/*log and an example kickstart as individual text/plain attachments.
Comment 3 Orion Poplawski 2015-10-16 13:51:22 EDT
The error I had in %post was like:

if true
then
   true
else
fi

which triggered a bash syntax error.
Comment 4 Jiri Kortus 2016-02-09 04:55:47 EST
Hello Orion,

I tried to reproduce this bug, but unsuccessfully, both with RHEL-7.2 GA Server and with RHEL-7.2 Beta Server. Could you please provide more details, such as kickstart used for installation and install logs? Thank you.
Comment 5 Orion Poplawski 2016-02-22 16:27:15 EST
I do not appear to be able to reproduce it now either.
Comment 6 David Cantrell 2016-03-01 11:26:17 EST
Closing per comment #4 and #5.

Note You need to log in before you can comment on or make changes to this bug.